<back to all web services

GetPartialSupportByConnectorWarning

The following routes are available for this service:
GET/RestApi/translations/partialsupportbyconnectorwarning
import 'package:servicestack/servicestack.dart';

class LocalizedMessageProxy implements IConvertible
{
    String? Message;

    LocalizedMessageProxy({this.Message});
    LocalizedMessageProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Message = json['Message'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Message': Message
    };

    getTypeName() => "LocalizedMessageProxy";
    TypeContext? context = _ctx;
}

class GetPartialSupportByConnectorWarning implements IConvertible
{
    String? ConnectorName;
    String? ConnectorTitle;
    String? ActualSourceLanguageCode;
    List<String>? TargetLanguagesCodes;

    GetPartialSupportByConnectorWarning({this.ConnectorName,this.ConnectorTitle,this.ActualSourceLanguageCode,this.TargetLanguagesCodes});
    GetPartialSupportByConnectorWarning.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        ConnectorName = json['ConnectorName'];
        ConnectorTitle = json['ConnectorTitle'];
        ActualSourceLanguageCode = json['ActualSourceLanguageCode'];
        TargetLanguagesCodes = JsonConverters.fromJson(json['TargetLanguagesCodes'],'List<String>',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'ConnectorName': ConnectorName,
        'ConnectorTitle': ConnectorTitle,
        'ActualSourceLanguageCode': ActualSourceLanguageCode,
        'TargetLanguagesCodes': JsonConverters.toJson(TargetLanguagesCodes,'List<String>',context!)
    };

    getTypeName() => "GetPartialSupportByConnectorWarning";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'LocalizedMessageProxy': TypeInfo(TypeOf.Class, create:() => LocalizedMessageProxy()),
    'GetPartialSupportByConnectorWarning': TypeInfo(TypeOf.Class, create:() => GetPartialSupportByConnectorWarning()),
});

Dart GetPartialSupportByConnectorWarning DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/partialsupportbyconnectorwarning HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"Message":"String"}